Lubuntu Oneiric to Precise Beta 1 Upgrade Pulls In Ubuntu-Desktop Packages via gnome-bluetooth.

Bug #945215 reported by Stenten on 2012-03-02
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
lubuntu-meta (Ubuntu)
Undecided
Unassigned
update-manager (Ubuntu)
Undecided
Julien Lavergne

Bug Description

I just fresh installed Lubuntu Oneiric 32-bit, upgraded its packages to the current versions, and then did a 'update-manager -d' to go to Precise Beta 1, and it wanted to pull in 328 new packages, some of which were obviously not appropriate, such as compiz, gnome-control-center, gnome-session, nautilus, libqtcore4, and unity.

The complete detailed list as evidence by 'sudo apt-get dist-upgrade' is attached as a text file. I've replicated this behavior 3 times out of 3 attempts.

UPDATE: This is actually an extension of Bug 903895. gnome-bluetooth is pulling in all these dependencies and while it has been removed as of lubuntu-meta 0.31, when upgrading from Oneiric (which has gnome-bluetooth) to Precise, the system never removes gnome-bluetooth and it gets upgraded and pulls in all of its new dependencies.

ProblemType: Bug
DistroRelease: Ubuntu 11.10
Package: lubuntu-desktop 0.28
ProcVersionSignature: Ubuntu 3.0.0-16.28-generic 3.0.17
Uname: Linux 3.0.0-16-generic i686
ApportVersion: 1.23-0ubuntu4
Architecture: i386
Date: Fri Mar 2 17:46:57 2012
InstallationMedia: Lubuntu 11.10 "Oneiric Ocelot" - Release i386 (20111012)
ProcEnviron:
 LANG=en_US.UTF-8
 SHELL=/bin/bash
SourcePackage: lubuntu-meta
UpgradeStatus: Upgraded to oneiric on 2012-03-02 (0 days ago)

Related branches

Stenten (stenten) wrote :
Stenten (stenten) on 2012-03-03
description: updated
Stenten (stenten) on 2012-03-03
description: updated
summary: Lubuntu Oneiric to Precise Beta 1 Upgrade Pulls In Ubuntu-Desktop
- Packages
+ Packages via gnome-bluetooth.
Julien Lavergne (gilir) wrote :

Thanks for your bug report. I don't think we can do anything in lubuntu-meta, but we can at least modify update-manager to be more lubuntu friendly

Changed in update-manager (Ubuntu):
status: New → In Progress
assignee: nobody → Julien Lavergne (gilir)
Ubuntu QA Website (ubuntuqa) wrote :

This bug has been reported on the Ubuntu ISO testing tracker.

A list of all reports related to this bug can be found here:
http://iso.qa.ubuntu.com/qatracker/reports/bugs/945215

tags: added: iso-testing
Jean-Baptiste Lallement (jibel) wrote :

This is the same as bug 936761 for Mythbuntu.

Can you mark one as duplicate of the other and then resolve it?

thanks

On 3 March 2012 22:07, Jean-Baptiste Lallement <email address hidden>wrote:

> This is the same as bug 936761 for Mythbuntu.
>
> --
> You received this bug notification because you are a member of Lubuntu
> Packages Team, which is subscribed to lubuntu-meta in Ubuntu.
> https://bugs.launchpad.net/bugs/945215
>
> Title:
> Lubuntu Oneiric to Precise Beta 1 Upgrade Pulls In Ubuntu-Desktop
> Packages via gnome-bluetooth.
>
> Status in “lubuntu-meta” package in Ubuntu:
> New
> Status in “update-manager” package in Ubuntu:
> In Progress
>
> Bug description:
> I just fresh installed Lubuntu Oneiric 32-bit, upgraded its packages
> to the current versions, and then did a 'update-manager -d' to go to
> Precise Beta 1, and it wanted to pull in 328 new packages, some of
> which were obviously not appropriate, such as compiz, gnome-control-
> center, gnome-session, nautilus, libqtcore4, and unity.
>
> The complete detailed list as evidence by 'sudo apt-get dist-upgrade'
> is attached as a text file. I've replicated this behavior 3 times out
> of 3 attempts.
>
> UPDATE: This is actually an extension of Bug 903895. gnome-bluetooth
> is pulling in all these dependencies and while it has been removed as
> of lubuntu-meta 0.31, when upgrading from Oneiric (which has gnome-
> bluetooth) to Precise, the system never removes gnome-bluetooth and it
> gets upgraded and pulls in all of its new dependencies.
>
> ProblemType: Bug
> DistroRelease: Ubuntu 11.10
> Package: lubuntu-desktop 0.28
> ProcVersionSignature: Ubuntu 3.0.0-16.28-generic 3.0.17
> Uname: Linux 3.0.0-16-generic i686
> ApportVersion: 1.23-0ubuntu4
> Architecture: i386
> Date: Fri Mar 2 17:46:57 2012
> InstallationMedia: Lubuntu 11.10 "Oneiric Ocelot" - Release i386
> (20111012)
> ProcEnviron:
> LANG=en_US.UTF-8
> SHELL=/bin/bash
> SourcePackage: lubuntu-meta
> UpgradeStatus: Upgraded to oneiric on 2012-03-02 (0 days ago)
>
> To manage notifications about this bug go to:
>
> https://bugs.launchpad.net/ubuntu/+source/lubuntu-meta/+bug/945215/+subscriptions
>

--
https://wiki.ubuntu.com/phillw

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package update-manager - 1:0.156.8

---------------
update-manager (1:0.156.8) precise; urgency=low

  [ Robert Roth ]
  * Update icon name to use FD.o standard (LP: #921310)

  [ Julien Lavergne ]
  * DistUpgrade/DistUpgrade.cfg, DistUpgrade/removal_blacklist.cfg,
    UpdateManager/Core/utils.py,
    AutoUpgradeTester/profile/lubuntu/DistUpgrade.cfg:
   - Add Lubuntu support, and don't upgrade gnome-components which have been
     removed from Lubuntu installation (LP: #945215)

  [ Barry Warsaw ]
  * Improve the warning issued when i8xx graphics hardware is
    detected. (LP: #941172)

  [ Brian Murray ]
  * DistUpgrade/removal_blacklist.cfg:
    - blacklist gnome-session so that users can always login after a failed
      partial upgrade (LP: #946539)

  [ James Hunt ]
  * Only attempt to stop screensaver if DISPLAY set, and throw away
    xdg-screensaver output. (LP: #883618)

  [ Colin Watson ]
  * Use 'from dbus.mainloop.glib import DBusGMainLoop;
    DBusGMainLoop(set_as_default=True)' to set up the main loop, rather than
    importing the deprecated dbus.glib.

  [ Gabor Kelemen ]
  * Fix misplaced parentheses. LP: #952959
 -- Michael Vogt <email address hidden> Tue, 13 Mar 2012 15:29:59 +0100

Changed in update-manager (Ubuntu):
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers